Bug 5809 - Segfault on startup
: Segfault on startup
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/bluefish)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-02 21:51 by
Modified: 2005-08-29 01:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-02 21:51:51
On startup, bluefish segfaults after printing "showing main gui..." in the
splash screen. 100% reproducible.

==========================================================================
Additional information:

Backtrace
--------------------------------------------------------------------------
0x4093aa7f in pango_fc_font_get_type () from /usr/lib/libpangoft2-1.0.so.0
(gdb) bt
#0  0x4093aa7f in pango_fc_font_get_type () from /usr/lib/libpangoft2-1.0.so.0
#1  0x4093ac1a in pango_fc_font_get_type () from /usr/lib/libpangoft2-1.0.so.0
#2  0x4068bee8 in pango_font_get_metrics () from /usr/lib/libpango-1.0.so.0
#3  0x4069a00f in pango_layout_line_get_x_ranges ()
   from /usr/lib/libpango-1.0.so.0
#4  0x4069a50a in pango_layout_line_get_extents ()
   from /usr/lib/libpango-1.0.so.0
#5  0x406977cd in pango_layout_get_cursor_pos ()
   from /usr/lib/libpango-1.0.so.0
#6  0x40697950 in pango_layout_get_cursor_pos ()
   from /usr/lib/libpango-1.0.so.0
#7  0x40697bc7 in pango_layout_get_extents () from /usr/lib/libpango-1.0.so.0
#8  0x401cda9e in gtk_text_layout_get_line_display ()
   from /usr/lib/libgtk-x11-2.0.so.0
#9  0x401cc6e4 in gtk_text_layout_validate () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x401cbc6f in gtk_text_layout_wrap () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x401b9632 in gtk_text_mark_set_visible ()
   from /usr/lib/libgtk-x11-2.0.so.0
#12 0x401cc467 in gtk_text_layout_validate_yrange ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0x401db1f7 in gtk_text_view_place_cursor_onscreen ()
   from /usr/lib/libgtk-x11-2.0.so.0
#14 0x401db2be in gtk_text_view_place_cursor_onscreen ()
---Type <return> to continue, or q <return> to quit---
--------------------------------------------------------------------------

Package versions
--------------------------------------------------------------------------
apt> depends bluefish
bluefish-1:0.13-alt1
  PreDepends: </bin/sh>
    sh-2.05b-alt6
  PreDepends: </bin/sh>
    sh-2.05b-alt6
  Depends: <libaspell.so.15>
    libaspell-0.60.0-alt1
  Depends: <libc.so.6>
    glibc-core-6:2.3.3.200406160000-alt1
  Depends: <libc.so.6(GLIBC_2.0)>
    glibc-core-6:2.3.3.200406160000-alt1
  Depends: <libc.so.6(GLIBC_2.1)>
    glibc-core-6:2.3.3.200406160000-alt1
  Depends: <libc.so.6(GLIBC_2.2)>
    glibc-core-6:2.3.3.200406160000-alt1
  Depends: <libgdk-x11-2.0.so.0>
    libgtk+2-2.6.0-alt1
  Depends: <libgdk_pixbuf-2.0.so.0>
    libgtk+2-2.6.0-alt1
  Depends: <libglib-2.0.so.0>
    glib2-2.6.0-alt1
  Depends: <libgobject-2.0.so.0>
    glib2-2.6.0-alt1
  Depends: <libgtk-x11-2.0.so.0>
    libgtk+2-2.6.0-alt1
  Depends: <libpango-1.0.so.0>
    libpango-1.8.0-alt1
  Depends: <libpcre.so.3>
    libpcre3-4.5-alt1
  Depends: <libpthread.so.0>
    glibc-core-6:2.3.3.200406160000-alt1
  Depends: <libpthread.so.0(GLIBC_2.0)>
    glibc-core-6:2.3.3.200406160000-alt1
  Depends: <librt.so.1>
    glibc-core-6:2.3.3.200406160000-alt1
Steps to Reproduce:
$ apt-get install bluefish
$ bluefish
Actual Results:  
Segmentation fault
------- Comment #1 From 2005-02-27 11:43:45 -------
Fixed in bluefish-1.0-alt1.